package com.ruoyi.system.domain;

import cn.hutool.core.date.DateTime;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.deser.std.DateDeserializers;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * 申领信息
 * @Author lijingtong
 * @Date 2025-02-11
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
public class ApplyInfo {

    /**
     * 主键，自增
     */
    private Long id;
    /**
     * 创建时间，默认值为当前时间戳
     */
    private LocalDateTime createTime;
    /**
     * 创建者，默认值为 '1'
     */
    private String createBy;
    /**
     * 更新时间，默认值为当前时间戳，当记录更新时自动更新为当前时间
     */
    private LocalDateTime updateTime;
    /**
     * 更新者，默认值为 '1'
     */
    private String updateBy;
    /**
     * 计划批次
     */
    private Byte plannedBatch;
    /**
     * 申请数量
     */
    private Integer applyNum;
    /**
     * 申领人
     */
    private String name;
    /**
     * 申领人 id
     */
    private Long userId;
    /**
     * 申领进度
     */
    private Byte bzglApplyType;
    /**
     * 标准额度，精度为 10，小数位数为 2
     */
    private BigDecimal budget;
    /**
     * 剩余额度，精度为 10，小数位数为 2
     */
    private BigDecimal residualBudget;
    /**
     * 申领编号
     */
    private String applyBh;
}
